Which version Acrobat Professional for 10.4.11?

Discussion in 'Mac Apps and Mac App Store' started by bigsnowdog, Oct 31, 2010.

  1. bigsnowdog macrumors member

    Joined:
    Dec 7, 2009
    #1
    What version of Adobe Acrobat [not reader] would I need so I could run it on a G4 1.25 ghz MDD running 10.4.11, that would also run on 10.5, in case I install that?

    I am going to look for some legitimate, used software, but want to buy the right version.

    Version 6 says it will requires 10.2.2. Would that run on 4, and maybe 5?

    Thank you.
     
  2. MisterMe macrumors G4

    MisterMe

    Joined:
    Jul 17, 2002
    Location:
    USA
    #2
    I run Adobe Acrobat Pro 9.4.0, the most recent version currently available. Adobe Acrobat Pro X is available for pre-order. However, it will be Intel-only.
     
  3. bigsnowdog thread starter macrumors member

    Joined:
    Dec 7, 2009
    #3
    By doing more research I discover I need version 7.
     

Share This Page